<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FormDaily47 extends Model
{
    use HasFactory;

    protected $table = 'form_daily_4_7'; // Specify the table name

    protected $fillable = [
        'id_farm_section',
        'created_by',
        'jenis_tanaman',
        'Blok_Lokasi ',
        'justifikasi_rawatan' ,
        'jenis_rawatan' ,
        'bahan_aktif_kadar',
        'tempoh_rawatan',
    ];

    // Define relationships if necessary
    public function farmSection()
    {
        return $this->belongsTo(Farm_section::class, 'id_farm_section');
    }

    public function createdBy()
    {
        return $this->belongsTo(Login::class, 'created_by');
    }
}
